Eclipse Platform Release 3.7

## org.eclipse.swt.accessibility
Class AccessibleEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.accessibility.AccessibleEvent

All Implemented Interfaces:
  Serializable

    public class AccessibleEvent

extends org.eclipse.swt.internal.SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for information about the control instance.

Note: The meaning of the result field depends on the message that was sent.

Since:
  2.0
See Also:
  `AccessibleListener`, `AccessibleAdapter`, Sample code and further information, Serialized Form

Field Summary
`int` `childID` The value of this field is set by an accessibility client before the accessible listener method is called.
`String` `result` The value of this field must be set in the accessible listener method before returning.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AccessibleEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### childID

    public int childID

  The value of this field is set by an accessibility client before the accessible listener method is called. ChildID can be CHILDID_SELF, representing the control itself, or a 0-based integer representing a specific child of the control.

### result

    public String result

  The value of this field must be set in the accessible listener method before returning. What to set it to depends on the listener method called, and the childID specified by the client.

Constructor Detail

### AccessibleEvent

    public AccessibleEvent(Object source)

  Constructs a new instance of this class.

  Parameters:
    `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `EventObject`
  Returns:
    a string representation of the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.